<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	if (!defined("IGNX")) { die("Attempt..."); }

// incluir comentarios
if (isset($_POST["ad_comentar"]) && isset($_POST["itemID"]) && trim($_POST["img_gen"]) != "")
{
	$itemID = $_POST["itemID"];
	
	// largo de comentario
	$comentario_total = strlen($_POST["comentario"]);
	
	include("./paqs/scimg/securimage.php");
	
	$tpl_scimg = new Securimage();
	$tpl_scimg_valid = $tpl_scimg->check($_POST['img_gen']);

	if($tpl_scimg_valid == true && $comentario_total < CONFIG_15) {
		
		$nick = entrada_sin_tags_html(trim($_POST["nick"])) == "" ? "Anonymos" : $_POST["nick"] ; 
		$asunto = entrada_sin_tags_html($_POST["asunto"]); 
		$comentario = CONFIG_83 == 1 ? entrada_gral_html($_POST["comentario"]) : entrada_sin_tags_html($_POST["comentario"], true); 
		// ajuste de link
		if (entrada_sin_tags_html(trim($_POST["link"])) == "")
		{ 
			$link = "http://"; 
		} else {					
			$link = str_replace("http://","",$_POST["link"]);
			$link = "http://".$link;
		}
		$email = entrada_sin_tags_html($_POST["email"]);
		$fecha = datetime_gmt();
		$dir_ip = $_SERVER["REMOTE_ADDR"];
		$enabled = CONFIG_31 ;
		$qs = "INSERT INTO ".COMENTARIOS." (itemID,nick,asunto,comentario,link,email,fecha,dir_ip,enabled) VALUES ('".$itemID."','".$nick."','".$asunto."','".$comentario."','".$link."','".$email."','".$fecha."','".$dir_ip."','".$enabled."')";
		myquery($qs,"[pro_comentarios]");
	
		// envio de email //
		// envio siempre TEXT
		$cabecera = "Content-Type: text/plain; charset=ISO-8859-15"."\r\n";
		$cabecera .= "Content-Transfer-Encoding: quoted-printable"."\r\n";
		$cabecera .= "Content-Disposition: inline"."\r\n";		
		$cabecera .= "From: ".CONFIG_12.""."\r\n";
		$mensaje = LEN_42.": ".$itemID."\n\n";
		if (CONFIG_26 == 1)
		{
			$link_mail = $link == "http://" ? "" : $link ;
			$comentario = str_replace("<br />","#+@+#",$comentario);
			$comentario = strip_tags($comentario);
			$comentario = str_replace("#+@+#","\n",$comentario);
			$mensaje .= LEN_46.": ".$nick."\n\n";
			$mensaje .= LEN_47.": ".$email."\n\n";
			$mensaje .= LEN_48.": ".$asunto."\n\n";
			$mensaje .= LEN_49.": ".$link_mail."\n\n";
			$mensaje .= LEN_50.":\n".$comentario;
			$mensaje = wordwrap($mensaje, 70, "\n", false);
		}
		@mail(CONFIG_12,LEN_42.": ".$itemID,$mensaje,$cabecera);
		// FIN envio email //
	
		if (CONFIG_31 == 0)
		{
			Redir(RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."ent".IGUAL.$itemID.AMPER."cmsj".IGUAL."1#cmf");
	
		} else if (CONFIG_31 == 1) {

			Redir(RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."ent".IGUAL.$itemID."#cm");
	
		}
	
	} else {

		// imagen de verificacion incorrecta o comentario total mayor que CONFIG_15
		Redir(RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."ent".IGUAL.$itemID.AMPER."cmsj".IGUAL."2#cmf");

	}
	
}

?>